<< sigmoid_train | FOSSEE_Signal_Processing_Toolbox | sinewave >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > sinetone

# sinetone

Return a sinetone of the input

### Syntax

    y= sinetone(freq)
    y= sinetone(freq, rate)
    y= sinetone(freq, rate, sec)
    y= sinetone(freq, rate, sec, ampl)

### Parameters

freq:

  frequency of sinetone

rate:

  sampling rate

sec:

  length in seconds

ampl:

  amplitude

### Description

Return a sinetone of frequency 'freq' with a length of 'sec' seconds at sampling rate 'rate' and with amplitude 'ampl'. The arguments freq and ampl may be vectors of common size. The defaults are rate = 8000, sec = 1, and ampl = 64.

### Examples

    sinetone(5, 2, 1, 8)

Report an issue
<< sigmoid_train | FOSSEE_Signal_Processing_Toolbox | sinewave >>